aboutsummaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
authorParker Berberian <pberberian@iol.unh.edu>2017-12-20 12:48:17 -0500
committerParker Berberian <pberberian@iol.unh.edu>2017-12-20 12:53:44 -0500
commitb5437b0702015314a95ab34d1360b9b5589d7ae9 (patch)
treea958c2f1b8620477166af67ad3c4435efb8c80ad /install.sh
parentd229b80b597dc15d31a4a4326519cf87f8310ebe (diff)
Initial Commit for new LaaS Software
JIRA: PHAROS-318 The old code I had in here was super beta and no good. I reworked the code to use Stackstorm instead of trying to roll my own automation services. This commit adds a README, install scripts, and the skeleton of a stackstorm pack Change-Id: Ia1c0c29e23316ad0e635c9c181c9a68fdacee664 Signed-off-by: Parker Berberian <pberberian@iol.unh.edu>
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..8698f5d
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+##############################################################################
+# Copyright 2017 Parker Berberian and Others #
+# #
+# Licensed under the Apache License, Version 2.0 (the "License"); #
+# you may not use this file except in compliance with the License. #
+# You may obtain a copy of the License at #
+# #
+# http://www.apache.org/licenses/LICENSE-2.0 #
+# #
+# Unless required by applicable law or agreed to in writing, software #
+# distributed under the License is distributed on an "AS IS" BASIS, #
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. #
+# See the License for the specific language governing permissions and #
+# limitations under the License. #
+##############################################################################
+
+#installs deps
+if which apt ; then
+ apt update && apt -y upgrade
+ apt -y install libvirt-dev curl gcc libsas12-dev python-dev libldap2-dev libssl-dev
+elif which yum ; then
+ yum -y update
+ yum -y install curl libvirt-devel gcc python-devel openldap-devel
+else
+ echo "Can only run on ubuntu or centos. exiting"
+ exit 1
+fi
+#run their install script
+curl -sSL https://stackstorm.com/packages/install.sh | bash -s -- --user=st2admin --password='admin'
+#change ssh user to root
+sed -i 's/user = stanley/user = root/' /etc/st2/st2.conf
+sed -i 's/ssh_key_file = \/home\/stanley\/.ssh\/stanley_rsa/ssh_key_file = \/root\/.ssh\/id_rsa/' /etc/st2/st2.conf
+
+mv pharoslab/ /opt/stackstorm/packs/
+cp /opt/stackstorm/packs/pharoslab/pharoslab.yaml.example /opt/stackstorm/configs
+
+echo "stackstorm should now be installed. Please edit /opt/stackstorm/configs/pharoslab.yaml and /opt/stackstorm/packs/pharoslab/hosts.json appropriately and run the setup script"